/* font-family: 'Montserrat', sans-serif;
font-family: 'Oswald', sans-serif;
font-family: 'Roboto', sans-serif;; */

/* kolory: #7F2A45 / #c69c6d /#CC050C
*/

:root {
  --button-color: #c69c6d;
}

@font-face {
  font-weight: normal;
  font-style: normal;
  font-family: "codropsicons";
  src: url("../fonts/codropsicons/codropsicons.eot");
  src: url("../fonts/codropsicons/codropsicons.eot?#iefix") format("embedded-opentype"),
    url("../fonts/codropsicons/codropsicons.woff") format("woff"),
    url("../fonts/codropsicons/codropsicons.ttf") format("truetype"),
    url("../fonts/codropsicons/codropsicons.svg#codropsicons") format("svg");
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  overflow-x: hidden;
  line-height: 1.5;
}

div.wrap {
  max-width: 1920px;
  margin: 0 auto;
  min-height: 300vh;
}

button {
  cursor: pointer;
}

.hide {
  display: none;
}

nav {
  display: flex;
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  height: 92px;
  background-color: transparent;
  z-index: 1;
  transition: 0.5s;
}

nav ul {
  display: flex;
  flex-grow: 1;
  width: 100%;
  justify-content: flex-end;
  margin-right: 10px;
}

nav ul li {
  list-style: none;
  flex-basis: 20%;
  text-align: center;
}

nav ul li a {
  display: flex;
  text-decoration: none;
  padding: 20px;
  color: white;
  font-family: "Montserrat", sans-serif;
  font-size: 22px;
  letter-spacing: 1px;
  text-transform: uppercase;
  transition: 0.3s;
}

nav.transform {
  background-color: white;
  height: 70px;
  box-shadow: 0 0 10px 2px rgb(90, 90, 90);
}

nav ul li a.transform {
  color: black;
}

nav ul li a:hover {
  color: var(--button-color);
  /* font-size: 22px; */
}

nav li {
  list-style: none;
}

nav li ul li.active {
  display: block;
}

header {
  position: absolute;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100%;
  background-image: url(../img/stock-1920.jpg);
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  text-align: center;
  font-family: "Roboto", sans-serif;
  z-index: -1;
}

.large-header {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  max-height: 100vh;
  background: #333;
  overflow: hidden;
  background-size: cover;
  background-position: center center;
  z-index: 1;
}

header .invitation {
  position: relative;
  width: 100%;
  height: 100%;
  color: white;
  background-color: rgba(0, 0, 0, 0.5);
  font-family: "Montserrat", sans-serif;
}

header .welcome {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

header p {
  margin-bottom: 20px;
  font-size: 22px;
  text-transform: uppercase;
}

header .name {
  font-size: 75px;
  font-family: "Roboto", sans-serif;
  letter-spacing: 2px;
}

header .line {
  position: relative;
  top: 0;
  left: 50%;
  transform: translate(-50%, 0);
  margin: 20px 0 30px 0;
  height: 2px;
  width: 40%;
  background-color: var(--button-color);
}

button.arrow {
  position: absolute;
  bottom: 0px;
  left: 50%;
  transform: translate(-50%, 50%);
  font-size: 40px;
  width: 80px;
  height: 80px;
  border-style: none;
  border-radius: 50%;
  background-color: whitesmoke;
  overflow: hidden;
  transition: 0.3s;
  /* box-shadow: 0 0 0 2px var(--button-color), 0 0 0 2px var(--button-color); */
  border: 2px dotted #5a5a5a;
  display: none
}

button.arrow:hover {
  box-shadow: 0 0 13px 0 white;
}

button.arrow i {
  text-shadow: 0 -20px 0 #333, 0 -40px 0 #333;
  transform: translateY(-50px);
}

button.arrow:hover i {
  animation: arrow 1.5s linear infinite;
  animation-duration: 0.7s;
}

@keyframes arrow {
  100% {
    transform: translateY(92px);
  }
}

.cursor {
  opacity: 0;
  transition: 0.4s;
}

.cursor.active {
  opacity: 1;
}

@media (max-width: 1024px) {
  header {
    background-image: url(../img/stock-1280.jpg);
    background-size: cover;
    max-width: 100%;
    max-height: 100%;
  }

  header p {
    font-size: large;
  }

  nav ul li{
    font-size: large;
  }

  nav ul li a {
    padding: 10px;
    font-size: large;
    letter-spacing: 0px;
    display: table-cell;
    vertical-align: middle;

  }
}


@media (max-width: 768px) {
  header {
    background-image: url(../img/stock-640.jpg);
  }

  header p {
    font-size: medium;
  }

  header .name {
    font-size: 60px;
  }

  nav {
    top: 0;
    right: 0;
    width: 100%;
    height: 92px;
  }
  
  nav ul {
    width: 100%;
    margin-right: 5px;
  }
  
  nav ul li {
    flex-basis: 20%;
  }
  
  nav ul li a {
    padding: 3px;
    font-size: medium;
    letter-spacing: 0px;
  }
  
  nav.transform {
    height: 70px;
    box-shadow: 0 0 10px 2px rgb(90, 90, 90);
  }

}


@media (max-width: 450px) {
  header p {
    font-size: smaller;
  }

  header .name {
    font-size: 40px;
  }

  nav span {
    font-size: 20px;
  }

  nav ul li{
    display: none;
  }
}


/* About me*/

section.about {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 90px 30px;
  color: rgb(90, 90, 90);
  text-align: justify;
}

section.about .description {
  display: flex;
  flex-direction: column;
  width: 50%;
  height: 100%;
  font-family: "Montserrat", sans-serif;
  font-size: large;
  transform: translateY(-100vh);
  transition: 1s;
}

section.about .description.active {
  transform: translateY(0);
}

h2,
h3 {
  font-family: "Montserrat", sans-serif;
  letter-spacing: 1px;
  text-transform: uppercase;
  font-size: x-large;
}

section .line {
  margin: 20px 0 30px 0;
  height: 2px;
  width: 40%;
  background-color: var(--button-color);
}

section .description p {
  margin-bottom: 30px;
}

section.about .photo {
  background: url(../img/Maciej-Ryczkowski-3.jpg) no-repeat center center;
  background-size: auto 600px;
  justify-content: flex-start;
  height: 450px;
  width: 550px;
  box-shadow: 0 0 8px 2px rgb(90, 90, 90);
  transform: translateX(100vw);
  transition: .7s;
}

section.about .photo:first-child {
  background: url(../img/Maciej-Ryczkowski-4.jpg) no-repeat center center;
  background-size: auto 600px;
  height: 500px;
  width: 600px;
}

section.about .photo.active {
  transform: translateX(0);
}


@media (max-width:1400px) {
  section.about .photo {
    background-size: auto 500px;
    height: 450px;
    width: 35%;
  }

  section.about .photo:first-child {
    background-size: auto 500px;
    height: 400px;
    width: 35%;
  }
}

@media (max-width:1024px) {

  section.about {
    display: block;
    padding: 75px 30px;
  }

  section.about .description {
    font-size: large;
    width: 100%;
    transform: translateY(0vh);
  }

  h2,
  h3 {
    font-size: x-large;
    text-align: center;
  }

  section .line {
    width: 50%;
    margin: 20px auto 70px auto;
  }

  section.about .photo {
    display: block;
    background-size: auto 650px;
    height: 540px;
    width:  auto;
  }

  section.about .photo:first-child {
    display: none;
  }
}

@media (max-width:768px) {

  section.about {
    padding: 60px 30px;
  }

  section.about .description {
    font-size: medium;
  }

  h2,
  h3 {
    font-size: large;
  }

  section.about .photo {
    background-size: auto 450px;
    height: 340px;
  }
}

@media (max-width:450px) {

  section.about {
    padding: 40px 30px;
  }

  section.about .description {
    font-size: small;
  }

  h2,
  h3 {
    font-size: medium;
  }

  section .line {
    margin: 20px auto 50px auto;
  }

  section.about .photo {
    background-size: auto 250px;
    height: 200px;
  }
}


@media (max-width:1024px) {}

@media (max-width:1600px) {}


/* Publications  */

section.publications {
  min-height: 60vh;
  width: 100%;
  background-image: url(../img/stock-1920.jpg);
  background-position: center;
  background-repeat: no-repeat;
}

/* dla kontrastu do zdjęcia */
section.publications .contrast {
  min-height: 60vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}

section.publications h2 {
  padding-top: 80px;
  color: white;
  width: 100%;
  text-align: center;
}

section.publications p.line {
  width: 20%;
  margin: 20px auto 50px auto;
}

section.publications .publications-conainer {
  color: white;
  font-family: "Montserrat", sans-serif;
}

section.publications p.subtitle {
  width: 100%;
  text-align: center;
  font-size: large;
}

ol {
  margin-top: 45px;
  width: 100%;
  text-align: center;
  list-style-type: upper-roman;
  padding-bottom: 5%;
}

ol li {
  width: 80%;
  text-align: justify;
  margin-bottom: 20px;
  margin-left: 10%;
  font-size: large;
}

i.fas.fa-link{
  color: var(--button-color);
}

@media (max-width: 1024px) {
  section.publications {
    background-image: url(../img/stock-1280.jpg);
    background-size: cover;
    max-width: 100%;
    max-height: 100%;
  }

  section.publications h2 {
    padding-top: 40px;
  }

  section.publications p.line {
    width: 50%;
    margin: 20px auto 30px auto;
  }

  section.publications p.subtitle {
    font-size: large;
  }

  ol {
    margin-top: 35px;
    padding-bottom: 5%;
  }

  ol li {
    width: 80%;
    margin-bottom: 35px;
    font-size: large;
  }
}

@media (max-width: 768px) {
  section.publications {
    background-image: url(../img/stock-640.jpg);
  }

  section.publications h2 {
    padding-top: 20px;
  }

  section.publications p.subtitle {
    font-size: medium;
  }

  ol {
    margin-top: 25px;
  }

  ol li {
    margin-bottom: 25px;
    font-size: medium;
  }
}

@media (max-width: 450px) {
  ol li {
    margin-bottom: 15px;
    font-size: small;
  }
}


/* Research */
section.works {
  min-height: 60vh;
  font-family: "Montserrat", sans-serif;
}

section.works .works-description {
  width: 100%;
  text-align: center;
  padding-top: 80px;
  color: rgb(90, 90, 90);
  /* Pod animację */
  /* transform: translateX(-100vw); */
  transition: 1s;
}

section.works p.line {
  width: 20%;
  margin: 20px auto 50px auto;
}

section.works .works-description.active {
  transform: translateX(0);
}

@media (max-width: 1024px) {

  section.works .works-description {
    padding-top: 60px;
  }

  section.works p.line {
    width: 50%;
    margin: 20px auto 40px auto;
  }
}

@media (max-width: 768px) {
  section.works .works-description {
    padding-top: 40px;
  }
}

@media (max-width: 450px) {

  section.works .works-description {
    padding-top: 30px;
  }

  section.works p.line {
    margin: 20px auto 30px auto;
  }
}

/* Contact */

section.contact {
  height: 100vh;
  background-image: url(../img/stock-1920.jpg);
  background-position: center;
  background-repeat: no-repeat;
  font-size: medium;
}

section.contact .contact-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}

section.contact .contact-description {
  color: white;
  width: 100%;
  text-align: center;
  padding: 80px 0;
  transform: translateX(-100vw);
  transition: 1s;
}

section.contact .contact-description.active {
  transform: translateX(0);
}

.contact-description .info {
  font-family: "Roboto", serif;
}

section.contact p.line {
  width: 20%;
  margin: 20px auto 30px auto;
}

section.contact .form-container {
  display: flex;
  flex-basis: 25%;
  justify-content: space-around;
}

input,
textarea {
  background-color: #504645;
  border: none;
  border-bottom: 2px solid white;
  color: white;
  text-indent: 10px;
  font-family: "Roboto", serif;
  transition: 0.3s;
}

input:hover,
textarea:hover {
  border-bottom: 2px solid var(--button-color);
}

input:focus,
textarea:focus {
  outline: none;
}

input {
  height: 60px;
  width: 360px;
  margin-right: 20px;
}

input:last-child {
  margin-right: 0;
}

textarea {
  width: 100%;
  height: 300px;
}

input::placeholder,
textarea::placeholder {
  color: white;
  font-family: "Roboto", "serif";
  font-size: medium;
  text-align: center;
}

textarea::placeholder {
  padding-top: 30px;
}

form .input-container {
  margin-bottom: 30px;
}

button.confirmBtn {
  margin-top: 30px;
  padding: 20px 50px;
  text-align: center;
  background-color: var(--button-color);
  color: white;
  font-family: "Oswald", sans-serif;
  letter-spacing: 1px;
  text-transform: uppercase;
  border: none;
  transition: 0.3s;
}


button.confirmBtn:hover {
  background-color: #c09b6d;
}

@media (max-width: 1200px) {

  section.contact .contact-description {
    padding: 60px 0;
  }

  section.contact {
    background-image: url(../img/stock-1280.jpg);
    font-size: large;
    background-size: cover;
    max-width: 100%;
    max-height: 100%;

  }

  section.contact p.line {
    width: 50%;
    margin: 20px auto 40px auto;
  }

  input::placeholder,
  textarea::placeholder {
    font-size: large;
  }

  input {
    height: 60px;
    width: 100%;
    margin: auto 5%;
  }

  input:last-child {
    margin-right: 0;
  }

  textarea {
    width: 100%;
    height: 300px;
    margin: auto 5%;
  }

  button.confirmBtn {
    padding: 15px 45px;
    margin-left: 5%;
    /* margin-bottom: 7%; */
  }
}


@media (max-width: 768px) {

  section.contact .contact-description {
    padding: 50px 0;
  }

  section.contact {
    background-image: url(../img/stock-640.jpg);
    font-size: medium;

  }

  section.contact p.line {
    margin: 20px auto 30px auto;
  }

  input::placeholder,
  textarea::placeholder {
    font-size: medium;
  }

  input {
    height: 60px;
    width: 90%;
    margin: auto 5%;
  }

  input:last-child {
    margin-right: 0;
  }

  textarea {
    width: 90%;
    height: 300px;
    margin: auto 5%;
  }

  button.confirmBtn {
    padding: 15px 45px;
    margin-left: 5%;
  }
}

@media (max-width: 450px) {

  section.contact {
    min-height: 100vh;
  }

  section.contact .contact-description {
    padding: 40px 0;
  }

  section.contact {
    font-size: small;
  }

  input::placeholder,
  textarea::placeholder {
    font-size: small;
  }

  input {
    height: 50px;
    width: 80%;
    margin: auto 10%;
  }

  textarea {
    width: 80%;
    margin: auto 10%;
    height: 60%;
  }

  button.confirmBtn {
    padding: 10px 30px;
    margin-left: 10%;
  }
}

/* Footer */

footer {
  min-height: 25vh;
  background-color: rgb(29, 28, 32);
  padding-bottom: 40px;
}

footer h2 {
  padding-top: 30px;
  color: white;
  width: 100%;
  text-align: center;
}

footer .line {
  height: 2px;
  background-color: var(--button-color);
  width: 20%;
  margin: 20px auto 30px auto;
}

footer .contact-info p {
  font-family: 'Montserrat', sans-serif;
  text-align: center;
  color: white;
}

footer .social {
  /* display: flex; */
  display: none;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 40px;
}

footer .icon-social {
  padding: 10px 20px;
}

footer a {
  color: white;
  transition: 0.3s;
}

footer a:hover {
  color: var(--button-color);
}

a.hidden {
  display: none;
}

@media (max-width: 1024px) {
  footer .line {
    width: 50%;
    margin: 20px auto 40px auto;
  }

  footer .contact-info p {
    font-size: large;
  }
}

@media (max-width: 768px) {
  footer .line {
    margin: 20px auto 30px auto;
  }

  footer .contact-info p {
    font-size: medium;
  }
}

@media (max-width: 450px) {
  footer .contact-info p {
    font-size: small;
  }
}

/* Button */

button.back {
  position: fixed;
  bottom: 40px;
  right: 20px;
  height: 40px;
  width: 40px;
  background-color: rgba(198, 156, 109, 0.4);
  color: white;
  border: none;
  transition: 0.3s;
  overflow: hidden;
  border: none;
}

button.back a {
  display: block;
  width: 100%;
  height: 100%;
  text-decoration: none;
  color: white;
}

button.back a i {
  position: relative;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);
  font-size: 20px;
  transition: 0.3s;
}

button.back:hover {
  background-color: rgba(198, 156, 109, 1);
}

button.back:hover i {
  animation: back 0.7s linear infinite;
  animation-duration: 0.7s;
}

@media (max-width: 450px) {
  button.back{
    display: none;
  }
  }

@keyframes back {
  100% {
    transform: translateY(40px);
  }
}


